QGIS Application - Bug report #19457
WFS layer features disappearing
2018-07-20 05:08 PM - michele zanolli

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.2
Operating System: Ubuntu 18.04
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 27285

Description

When opening in a QGIS project more than one WFS layer (same server, same CRS), when zooming or pan the map, the features are
randomly appearing/disappearing, apparently without a reason. Same behavior by clicking the Refresh (F5) button. Opening attribute
tables sometimes there are all the features attributes, sometimes no rows, sometimes all the rows filled by NULLs.

The same problem was present in 3.0.x version, with oldest versions (2.18.x, 2.14.x) all works well.

I'm using Ubuntu 18.04

Thanks for your attention!

History

#1 - 2018-07-20 05:25 PM - Alessandro Pasotti

Can you please attach a test project?

#2 - 2018-07-20 05:44 PM - michele zanolli
- File wfs_project.qgs added

See the attached project with 3 WFS layers.

Try to randomly zoom in/out, open attribute tables, Reload (F5), show/hide the layers

Thanks

#3 - 2018-07-24 02:59 PM - michele zanolli

Can anyone confirm?

michele zanolli wrote:

See the attached project with 3 WFS layers.

Try to randomly zoom in/out, open attribute tables, Reload (F5), show/hide the layers

Thanks
#4 - 2018-08-04 05:09 AM - Willem Buitendyk

| tried opening this project. | had network timeouts. Zooming around would have some layers show other not intermittently. | then tried F5 reload and

QGIS crashed. Here is a brief result from a crash report:

Process: QGIS [947]

Path: /Applications/QGIS3.app/Contents/MacOS/QGIS
Identifier: org.qgis.qgis3

Version: 3.2.1 (3.2.1 [exported])

Code Type: X86-64 (Native)

Parent Process: 27?7 [1]

Responsible: QGIS [947]

User ID: 501

Date/Time: 2018-08-03 20:00:31.181 -0700

OS Version: Mac OS X 10.13.6 (17G2208)

Report Version: 12
Bridge OS Version: 2.4.1 (15P6703)
Anonymous UUID: 6D13771B-1DCB-2D6D-60FC-1CD9C5D574D4

Sleep/Wake UUID:  20FC4CA7-F111-4498-BD50-9C0522246880

Time Awake Since Boot: 11000 seconds

Time Since Wake: 730 seconds

System Integrity Protection: enabled

Crashed Thread: 25 QgsWFSThreadedFeatureDownloader

Exception Type: EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: EXC_1386_GPFLT

Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11

Termination Reason: Namespace SIGNAL, Code 0xb

Terminating Process: exc handler [0]

| also see this warning a lot: 2018-08-03T20:04:50 WARNING Cannot create temporary Spatialite cache

| have tried Okb cache, render caching off, still | get the warning.

#5 - 2018-08-04 10:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

michele zanolli wrote:

Can anyone confirm?
| tested the project for several minutes on the latest 3.2 and had no issues whatsoever doing any of the operation you say.

| strongly suggest to try again on a clean/new QGIS profile or without any 3rd party plugins.

#6 - 2018-08-08 04:07 AM - Willem Buitendyk

A did a fresh install of Mac on a new computer. Installed QGIS according to instructions; python 3.6, GDAL and then QGIS. No plugins and a clean

profile. Still not working on a Mac. It does work with Windows though.

#7 - 2018-08-25 05:41 PM - michele zanolli

With the latest upgrade to QGIS 3.2.2 and without any 3rd party plugins the problem seems solved for me!

No more issues in zoom in/out or refresh the project.

For me the ticket can be closed

#8 - 2018-08-29 11:44 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

Files
wfs_project.qgs 33.9KB 2018-07-20 michele zanolli
